com.google.gwt.logging.client

## Class JsonLogRecordClientUtil

- java.lang.Object
- - com.google.gwt.logging.client.JsonLogRecordClientUtil

    public class JsonLogRecordClientUtil
    extends java.lang.Object

A set of functions to convert SerializableLogRecords into JSON strings. The corresponding functions to convert them back are in JsonLogRecordServerUtil.java. This class should only be used in client side code since it imports com.google.gwt.json.client classes. TODO(unnurg) once there is a unified JSON GWT library, combine this with JsonLogRecordServerUtil.

### Constructor Summary

Constructors
Constructor and Description
`JsonLogRecordClientUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `logRecordAsJson(java.util.logging.LogRecord lr)`
`static java.lang.String` `throwableAsJson(java.lang.Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonLogRecordClientUtil

    public JsonLogRecordClientUtil()

### Method Detail

#### throwableAsJson

    public static java.lang.String throwableAsJson(java.lang.Throwable t)

#### logRecordAsJson

    public static java.lang.String logRecordAsJson(java.util.logging.LogRecord lr)